summaryrefslogtreecommitdiffstats
path: root/.local/bin/timefinder
diff options
context:
space:
mode:
authorturret <turret@duck.com>2023-11-11 16:31:43 -0600
committerturret <turret@duck.com>2023-11-11 16:31:43 -0600
commit9932a24001e292ed2fe66c32dabc3078514bb80b (patch)
tree91b998e5894bb6c2fddbabed228f82f13779fdd0 /.local/bin/timefinder
parent952f0f8c87f2af900b53d5afe4c9dbc566b03ef4 (diff)
downloadskel-9932a24001e292ed2fe66c32dabc3078514bb80b.tar.gz
skel-9932a24001e292ed2fe66c32dabc3078514bb80b.tar.bz2
skel-9932a24001e292ed2fe66c32dabc3078514bb80b.zip
local/bin: add utility scripts on my main box
Diffstat (limited to '.local/bin/timefinder')
-rwxr-xr-x.local/bin/timefinder10
1 files changed, 10 insertions, 0 deletions
diff --git a/.local/bin/timefinder b/.local/bin/timefinder
new file mode 100755
index 0000000..2e8544f
--- /dev/null
+++ b/.local/bin/timefinder
@@ -0,0 +1,10 @@
+#!/bin/sh
+TIMEZONE=${1:-$(cat /etc/timezone)}
+
+[ ! -f /usr/share/zoneinfo/${TIMEZONE} ] && echo "invalid zone" && exit 1
+
+LOCALE=${2:-en-US}
+CHARACTER_SET="[:alnum:]"
+read -r -n 10 S < <(LC_ALL=C tr -dc "${CHARACTER_SET}" < /dev/urandom)
+echo -n "https://time.turret.cyou/${TIMEZONE}?locale=${LOCALE}&s=${S}" | xclip -in -selection clipboard
+xclip -out -selection clipboard && echo